$(() => {
DevExpress.setTemplateEngine('underscore');
const tagBox = $('#tagbox').dxTagBox({
dataSource: accordionItems,
displayExpr: 'CompanyName',
disabled: true,
value: [accordionItems[0]],
onValueChanged(e) {
accordion.option('selectedItems', e.value);
},
}).dxTagBox('instance');
const accordion = $('#accordion-container').dxAccordion({
dataSource: accordionItems,
animationDuration: 300,
collapsible: false,
multiple: false,
selectedItems: [accordionItems[0]],
itemTitleTemplate: $('#title'),
itemTemplate: $('#customer'),
onSelectionChanged(e) {
tagBox.option('value', e.component.option('selectedItems'));
},
}).dxAccordion('instance');
$('#slider').dxSlider({
min: 0,
max: 1000,
value: 300,
label: { visible: true },
tooltip: {
enabled: true,
position: 'bottom',
},
onValueChanged(e) {
accordion.option('animationDuration', e.value);
},
});
$('#multiple-enabled').dxCheckBox({
text: 'Multiple enabled',
onValueChanged(e) {
accordion.option('multiple', e.value);
tagBox.option('disabled', !e.value);
tagBox.option('value', accordion.option('selectedItems'));
},
});
$('#collapsible-enabled').dxCheckBox({
text: 'Collapsible enabled',
onValueChanged(e) {
accordion.option('collapsible', e.value);
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.2.6/js/dx.all.js"></script>
<script src="js/underscore.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="accordion">
<div id="accordion-container"> </div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<div id="multiple-enabled"></div>
</div>
<div class="option">
<div id="collapsible-enabled"></div>
</div>
<div class="option">
<span>Animation duration</span>
<div id="slider"></div>
</div>
<div class="option">
<span class="caption">Selected Items</span>
<div id="tagbox"></div>
</div>
</div>
</div>
<script type="text/html" id="title">
<h1><%= CompanyName%></h1>
</script>
<script type="text/html" id="customer">
<div class="accodion-item">
<div>
<p>
<b><%= City%></b>
(<span><%= State%></span>)
</p>
<p>
<span><%= Zipcode%></span>
<span><%= Address%></span>
</p>
</div>
<div>
<p> Phone: <b><%= Phone%></b> </p>
<p> Fax: <b><%= Fax%></b> </p>
<p>
Website:
<a href="<%= Website%>" target="_blank"> <%= Website%> </a>
</p>
</div>
</div>
</script>
</div>
</body>
</html>
#accordion {
height: 700px;
}
#accordion h1 {
font-size: 20px;
}
#accordion h1,
#accordion p {
margin: 0;
}
#accordion-container {
margin-right: 400px;
}
.dx-theme-material #accordion .dx-accordion-item-title {
display: flex;
}
.dx-theme-material #accordion h1 {
align-self: center;
}
.options {
padding: 20px;
position: absolute;
bottom: 0;
right: 0;
width: 340px;
top: 0;
background-color: rgba(191, 191, 191, 0.15);
}
.options > .caption {
font-weight: 500;
font-size: 18px;
}
.option {
margin-top: 10px;
}
.option > .caption {
margin-top: 10px;
display: inline-block;
}
.option > .dx-tagbox {
margin-top: 2px;
}
const accordionItems = [{
ID: 1,
CompanyName: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
Zipcode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
Website: 'http://www.nowebsitesupermart.com',
}, {
ID: 2,
CompanyName: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
Zipcode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
Website: 'http://www.nowebsitedepot.com',
}, {
ID: 3,
CompanyName: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
Zipcode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
Website: 'http://www.nowebsitemusic.com',
}, {
ID: 4,
CompanyName: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
Zipcode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
Website: 'http://www.nowebsitetomsclub.com',
}];

<template>
<div id="accordion">
<DxAccordion
:data-source="companies"
:collapsible="collapsible"
:multiple="multiple"
:animation-duration="animationDuration"
v-model:selected-items="selectedItems"
>
<template #title="{ data }">
<CustomTitle :item-data="data"/>
</template>
<template #item="{ data }">
<CustomItem :item-data="data"/>
</template>
</DxAccordion>
<div class="selected-data">
<span class="caption">Selected Items</span>
<DxTagBox
:data-source="companies"
v-model:value="selectedItems"
:disabled="!multiple"
display-expr="CompanyName"
/>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<DxCheckBox
v-model:value="multiple"
text="Multiple enabled"
/>
</div>
<div class="option">
<DxCheckBox
v-model:value="collapsible"
text="Collapsible enabled"
/>
</div>
<div class="option">
<span>Animation duration</span>
<DxSlider
:min="0"
:max="1000"
v-model:value="animationDuration"
>
<DxTooltip
:enabled="true"
position="bottom"
/>
<DxLabel :visible="true"/>
</DxSlider>
</div>
</div>
</div>
</template>
<script>
import DxAccordion from 'devextreme-vue/accordion';
import DxTagBox from 'devextreme-vue/tag-box';
import DxCheckBox from 'devextreme-vue/check-box';
import DxSlider, { DxTooltip, DxLabel } from 'devextreme-vue/slider';
import CustomTitle from './CustomTitle.vue';
import CustomItem from './CustomItem.vue';
import service from './data.js';
export default {
components: {
DxAccordion, DxTagBox, DxCheckBox, DxSlider, DxTooltip, DxLabel, CustomTitle, CustomItem
},
data() {
const companies = service.getCompanies();
return {
companies,
selectedItems: [companies[0]],
multiple: false,
collapsible: false,
animationDuration: 300
};
}
};
</script>
<style scoped>
#accordion h1 {
font-size: 20px;
}
#accordion h1,
#accordion p {
margin: 0;
}
.dx-theme-material #accordion .dx-accordion-item-opened .dx-accordion-item-title {
display: flex;
}
.dx-theme-material #accordion .dx-accordion-item-opened h1 {
align-self: center;
}
.options,
.selected-data {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.selected-data {
position: relative;
height: 36px;
}
.selected-data > .caption {
position: relative;
top: 5px;
margin-right: 10px;
font-weight: bold;
font-size: 115%;
}
.selected-data > .dx-widget {
position: absolute;
left: 140px;
right: 20px;
top: 20px;
}
.options > .caption {
font-weight: 500;
font-size: 18px;
}
.option {
margin-top: 10px;
}
</style>
<template>
<div>
<div>
<p>
<b>{{ itemData.City }}</b>
(<span>{{ itemData.State }}</span>)
</p>
<p>
<span>{{ itemData.Zipcode }}</span>
<span>{{ itemData.Address }}</span>
</p>
</div>
<div>
<p>
Phone: <b>{{ itemData.Phone }}</b>
</p>
<p>
Fax: <b>{{ itemData.Fax }}</b>
</p>
<p>
Website:
<a
:href="itemData.Website"
target="_blank"
>
{{ itemData.Website }}
</a>
</p>
</div>
</div>
</template>
<script>
export default {
props: {
itemData: {
type: Object,
default: () => {}
}
}
};
</script>
<template>
<h1>{{ itemData.CompanyName }}</h1>
</template>
<script>
export default {
props: {
itemData: {
type: Object,
default: () => {}
}
}
};
</script>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
const companies = [{
'ID': 1,
'CompanyName': 'Super Mart of the West',
'Address': '702 SW 8th Street',
'City': 'Bentonville',
'State': 'Arkansas',
'Zipcode': 72716,
'Phone': '(800) 555-2797',
'Fax': '(800) 555-2171',
'Website': 'http://www.nowebsitesupermart.com'
}, {
'ID': 2,
'CompanyName': 'Electronics Depot',
'Address': '2455 Paces Ferry Road NW',
'City': 'Atlanta',
'State': 'Georgia',
'Zipcode': 30339,
'Phone': '(800) 595-3232',
'Fax': '(800) 595-3231',
'Website': 'http://www.nowebsitedepot.com'
}, {
'ID': 3,
'CompanyName': 'K&S Music',
'Address': '1000 Nicllet Mall',
'City': 'Minneapolis',
'State': 'Minnesota',
'Zipcode': 55403,
'Phone': '(612) 304-6073',
'Fax': '(612) 304-6074',
'Website': 'http://www.nowebsitemusic.com'
}, {
'ID': 4,
'CompanyName': "Tom's Club",
'Address': '999 Lake Drive',
'City': 'Issaquah',
'State': 'Washington',
'Zipcode': 98027,
'Phone': '(800) 955-2292',
'Fax': '(800) 955-2293',
'Website': 'http://www.nowebsitetomsclub.com'
}];
export default {
getCompanies() {
return companies;
}
};
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'devextreme-vue': 'npm:devextreme-vue@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

import React from 'react';
import Accordion from 'devextreme-react/accordion';
import CheckBox from 'devextreme-react/check-box';
import TagBox from 'devextreme-react/tag-box';
import Slider, { Tooltip, Label } from 'devextreme-react/slider';
import service from './data.js';
import CustomTitle from './CustomTitle.js';
import CustomItem from './CustomItem.js';
class App extends React.Component {
constructor(props) {
super(props);
this.companies = service.getCompanies();
this.state = {
selectedItems: [this.companies[0]],
multiple: false,
collapsible: false,
animationDuration: 300
};
this.selectionChanged = this.selectionChanged.bind(this);
this.selectedItemsChanged = this.selectedItemsChanged.bind(this);
this.multipleChanged = this.multipleChanged.bind(this);
this.collapsibleChanged = this.collapsibleChanged.bind(this);
this.animationDurationChanged = this.animationDurationChanged.bind(this);
}
render() {
const { selectedItems, multiple, collapsible, animationDuration } = this.state;
return (
<div id="accordion">
<Accordion
dataSource={this.companies}
collapsible={collapsible}
multiple={multiple}
animationDuration={animationDuration}
selectedItems={selectedItems}
onSelectionChanged={this.selectionChanged}
itemTitleRender={CustomTitle}
itemRender={CustomItem}
/>
<div className="selected-data">
<span className="caption">Selected Items</span>
<TagBox dataSource={this.companies}
displayExpr="CompanyName"
value={selectedItems}
onValueChanged={this.selectedItemsChanged}
disabled={!multiple}
/>
</div>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<CheckBox text="Multiple enabled"
value={multiple}
onValueChanged={this.multipleChanged}
/>
</div>
<div className="option">
<CheckBox
text="Collapsible enabled"
value={collapsible}
onValueChanged={this.collapsibleChanged}
/>
</div>
<div className="option">
<span>Animation duration</span>
<Slider
min={0}
max={1000}
value={animationDuration}
onValueChanged={this.animationDurationChanged}
>
<Tooltip enabled={true} position="bottom" />
<Label visible={true} />
</Slider>
</div>
</div>
</div>
);
}
selectionChanged(e) {
let newItems = [...this.state.selectedItems];
e.removedItems.forEach(item => {
let index = newItems.indexOf(item);
if (index >= 0) {
newItems.splice(index, 1);
}
});
if (e.addedItems.length) {
newItems = [...newItems, ...e.addedItems];
}
this.setState({
selectedItems: newItems
});
}
selectedItemsChanged(e) {
this.setState({
selectedItems: e.value
});
}
multipleChanged(e) {
this.setState({
multiple: e.value
});
}
collapsibleChanged(e) {
this.setState({
collapsible: e.value
});
}
animationDurationChanged(e) {
this.setState({
animationDuration: e.value
});
}
}
export default App;
import React from 'react';
export default function CustomItem(data) {
return (
<div>
<div>
<p>
<b>{data.City} </b>
(<span>{data.State}</span>)
</p>
<p>
<span>{data.Zipcode} </span>
<span>{data.Address}</span>
</p>
</div>
<div>
<p>
Phone: <b>{data.Phone}</b>
</p>
<p>
Fax: <b>{data.Fax}</b>
</p>
<p>
Website: <a href={data.Website} target="_blank">
{data.Website}
</a>
</p>
</div>
</div>
);
}
import React from 'react';
export default function CustomTitle(data) {
return (
<h1>{data.CompanyName}</h1>
);
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#accordion h1 {
font-size: 20px;
}
#accordion h1,
#accordion p {
margin: 0;
}
.dx-theme-material #accordion .dx-accordion-item-opened .dx-accordion-item-title {
display: flex;
}
.dx-theme-material #accordion .dx-accordion-item-opened h1 {
align-self: center;
}
.options,
.selected-data {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.selected-data {
position: relative;
height: 36px;
}
.selected-data > .caption {
position: relative;
top: 5px;
margin-right: 10px;
font-weight: bold;
font-size: 115%;
}
.selected-data > .dx-widget {
position: absolute;
left: 140px;
right: 20px;
top: 20px;
}
.options > .caption {
font-weight: 500;
font-size: 18px;
}
.option {
margin-top: 10px;
}
const companies = [{
'ID': 1,
'CompanyName': 'Super Mart of the West',
'Address': '702 SW 8th Street',
'City': 'Bentonville',
'State': 'Arkansas',
'Zipcode': 72716,
'Phone': '(800) 555-2797',
'Fax': '(800) 555-2171',
'Website': 'http://www.nowebsitesupermart.com'
}, {
'ID': 2,
'CompanyName': 'Electronics Depot',
'Address': '2455 Paces Ferry Road NW',
'City': 'Atlanta',
'State': 'Georgia',
'Zipcode': 30339,
'Phone': '(800) 595-3232',
'Fax': '(800) 595-3231',
'Website': 'http://www.nowebsitedepot.com'
}, {
'ID': 3,
'CompanyName': 'K&S Music',
'Address': '1000 Nicllet Mall',
'City': 'Minneapolis',
'State': 'Minnesota',
'Zipcode': 55403,
'Phone': '(612) 304-6073',
'Fax': '(612) 304-6074',
'Website': 'http://www.nowebsitemusic.com'
}, {
'ID': 4,
'CompanyName': "Tom's Club",
'Address': '999 Lake Drive',
'City': 'Issaquah',
'State': 'Washington',
'Zipcode': 98027,
'Phone': '(800) 955-2292',
'Fax': '(800) 955-2293',
'Website': 'http://www.nowebsitetomsclub.com'
}];
export default {
getCompanies() {
return companies;
}
};
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'devextreme-react': 'npm:devextreme-react@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});

<div id="accordion">
<dx-accordion
#accordion
[dataSource]="companies"
[collapsible]="false"
[multiple]="false"
[animationDuration]="300"
[selectedItems]="[companies[0]]">
<div *dxTemplate="let company of 'title'">
<h1>{{company.CompanyName}}</h1>
</div>
<div *dxTemplate="let company of 'item'">
<div>
<p>
<b>{{company.City}}</b>
(<span>{{company.State}}</span>)
</p>
<p>
<span>{{company.Zipcode}}</span>
<span>{{company.Address}}</span>
</p>
</div>
<div>
<p>
Phone: <b>{{company.Phone}}</b>
</p>
<p>
Fax: <b>{{company.Fax}}</b>
</p>
<p>
Website:
<a href="{{company.Website}}" target="_blank">
{{company.Website}}
</a>
</p>
</div>
</div>
</dx-accordion>
<div class="selected-data">
<span class="caption">Selected Items</span>
<dx-tag-box
[dataSource]="companies"
displayExpr="CompanyName"
[(value)]="accordion.selectedItems"
[disabled]="!accordion.multiple"
></dx-tag-box>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<dx-check-box
text="Multiple enabled"
[(value)]="accordion.multiple"
></dx-check-box>
</div>
<div class="option">
<dx-check-box
text="Collapsible enabled"
[(value)]="accordion.collapsible"
></dx-check-box>
</div>
<div class="option">
<span>Animation duration</span>
<dx-slider
[min]="0"
[max]="1000"
[(value)]="accordion.animationDuration"
>
<dxo-tooltip [enabled]="true" position="bottom"></dxo-tooltip>
<dxo-label [visible]="true"></dxo-label>
</dx-slider>
</div>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxAccordionModule, DxCheckBoxModule, DxSliderModule, DxTagBoxModule, DxTemplateModule } from 'devextreme-angular';
import { Company, Service } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
preserveWhitespaces: true
})
export class AppComponent {
companies: Company[];
constructor(service: Service) {
this.companies = service.getCompanies();
}
}
@NgModule({
imports: [
BrowserModule,
DxAccordionModule,
DxCheckBoxModule,
DxSliderModule,
DxTagBoxModule,
DxTemplateModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #accordion h1 {
font-size: 20px;
}
::ng-deep #accordion h1,
::ng-deep #accordion p {
margin: 0;
}
::ng-deep .dx-theme-material #accordion .dx-accordion-item-opened .dx-accordion-item-title {
display: flex;
}
::ng-deep .dx-theme-material #accordion .dx-accordion-item-opened h1 {
align-self: center;
}
::ng-deep .options,
::ng-deep .selected-data {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
::ng-deep .selected-data {
position: relative;
height: 36px;
}
::ng-deep .selected-data > .caption {
position: relative;
top: 5px;
margin-right: 10px;
font-weight: bold;
font-size: 115%;
}
::ng-deep .selected-data > .dx-widget {
position: absolute;
left: 140px;
right: 20px;
top: 20px;
}
::ng-deep .options > .caption {
font-weight: 500;
font-size: 18px;
}
::ng-deep .option {
margin-top: 10px;
}
import { Injectable } from '@angular/core';
export class Company {
ID: number;
CompanyName: string;
Address: string;
City: string;
State: string;
Zipcode: number;
Phone: string;
Fax: string;
Website: string;
}
let companies: Company[] = [{
"ID": 1,
"CompanyName": "Super Mart of the West",
"Address": "702 SW 8th Street",
"City": "Bentonville",
"State": "Arkansas",
"Zipcode": 72716,
"Phone": "(800) 555-2797",
"Fax": "(800) 555-2171",
"Website": "http://www.nowebsitesupermart.com"
}, {
"ID": 2,
"CompanyName": "Electronics Depot",
"Address": "2455 Paces Ferry Road NW",
"City": "Atlanta",
"State": "Georgia",
"Zipcode": 30339,
"Phone": "(800) 595-3232",
"Fax": "(800) 595-3231",
"Website": "http://www.nowebsitedepot.com"
}, {
"ID": 3,
"CompanyName": "K&S Music",
"Address": "1000 Nicllet Mall",
"City": "Minneapolis",
"State": "Minnesota",
"Zipcode": 55403,
"Phone": "(612) 304-6073",
"Fax": "(612) 304-6074",
"Website": "http://www.nowebsitemusic.com"
}, {
"ID": 4,
"CompanyName": "Tom's Club",
"Address": "999 Lake Drive",
"City": "Issaquah",
"State": "Washington",
"Zipcode": 98027,
"Phone": "(800) 955-2292",
"Fax": "(800) 955-2293",
"Website": "http://www.nowebsitetomsclub.com"
}];
@Injectable()
export class Service {
getCompanies(): Company[] {
return companies;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.0.3/tslib.js',
'rxjs': 'npm:rxjs@6.3.3',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8',
'devextreme-angular': 'npm:devextreme-angular@20.2.4',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>